<?xml version="1.0" encoding="windows-1251" ?>
<FileImport name="Load Scales" enabled="1" timeOut="10"
	comment = "Предобработчики">
   
    <DataType name="ScalesMessages" fileMask="S*.*" 
	Delimiter="|"
	useSubDir = "0" 
	searchDir = "C:\Import\" 
	successDir= "C:\Import\Log\" 
	errorDir  = "C:\Import\Log\"
	isImport = "0"
	Comment="Сообщения в весах"
	mnemonics="MessageNmb;messageText1">
	<Modifier type="DeleteEmptyRows"/>
	<Modifier type="DeleteHeader"/>
	<Modifier type="ReplaceText" oldText="|" newText = " "/>
	<Modifier type="ReplaceText" oldText="\u0003" newText = ""/>
	<Modifier type="SelectFixWeightFields" fixWeightFields = "1=1, 2=5000"/>
	<Modifier type="DivideFile" newFilePrefix="Article" findText="A" fields="1"/>
	<Modifier type="SelectFixWeightFields" fixWeightFields = "3=15, 18=5000"
		comments="PluNum;IngData"/>
	<Modifier type="IntegerFields" fields="1"/>
	<Modifier type="SaveAs" newFilePrefix="Messages"/>
    </DataType>

    <DataType name="GoodsInScales" fileMask="ArticleS*.*" 
	useSubDir = "0" 
	searchDir = "C:\Import\" 
	successDir= "C:\Import\Log\" 
	errorDir  = "C:\Import\Log\"
	isImport = "0"
	Delimiter="|" fileNameRegex="([0-9][0-9][0-9])[.]" fileNameRegex_1="DeviceNmb"
	Comment="Товары в весах"
	mnemonics="slBarCode;slGoodsItem;slBarCodePrefix;slPLUNumber;MessageNmb;slGoodsPriceSale;slEffectiveLife;slGoodsNameFirst;slEffectiveLifeMeasure;Depart;DeviceNmb">
	<Modifier type="SelectFixWeightFields" fixWeightFields = "3=12, 15=15, 40=8, 48=3, 55=80"
		comments="BarData;PluNum;UnitPrice;SellByDays;CommName"/>
	<Modifier type="IntegerFields" fields="1, 2, 4"/>
	<Modifier type="FloatFields" fields="3"/>
	<Modifier type="SelectFields" fields = "1,1,1,2,2,3,4,5,2,2,1"/>
	<Modifier type="PutValueFromSprav" fields="11" spravName="DeviceNmb"/>
	<Modifier type="ScriptFields" fields="1" Comment="Код товара"
		script="if (str.length > 7) {
		str = str.substring(0,8);}" />
	<Modifier type="ScriptFields" fields="2" Comment="Ш/к товара"
		script="if (str.length > 7) {
		str = str.substring(2,8);}" />
	<Modifier type="ScriptFields" fields="3" Comment="Префикс ш/к"
		script="if (str.length > 1) {
		str  = str.substring(0,2);}" />
	<Modifier type="PutValueFromKey" keys="0" values="0" DefaultValue="0" fields="9" keyDelimiter=";" comments="EffectiveLifeMeasure: 0 - дни; 1 - часы"/>  
	<Modifier type="PutValueFromKey" keys="1" values="1" DefaultValue="1" fields="10" keyDelimiter=";" comments="slScaleDepartNumber"/>  
	<Modifier type="SaveAs" newFilePrefix="Products"/>	
    </DataType>
</FileImport>